Ticket #38620

祭壇捧げメニューで食べ物や魔除けがフィルタされていない

Open Date: 2018-09-20 22:27 Last Update: 2018-10-07 05:44

Reporter:
(Anonymous)
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
Priority:
3
Severity:
3
Resolution:
Fixed

Details

バージョン: 3.6.0-0.9、3.6.1-0.1

普通の(迷宮内に生成される)祭壇の上に立ち#offerコマンドを実行した際、アイテム選択に一般の魔除けや死体以外の食料品が候補として出ます。
(選択しても「あなたはそれを捧げることはできない!」「何も起きなかった.」等メッセージは出ます)
本家3.6.1では死体のみ候補に表示されます。

src/eat.cでfloorfood()のverb引数に渡された日本語文字列をそのままgetobj()に渡しているのが原因のようです。

otmp = getobj(feeding ? allobj : offering ? offerfodder : comestibles,
feeding ? "eat" : offering ? "sacrifice" : verb);

のように直すと死体のみ選択候補に表示されます。

Attachment File List

No attachments

Ticket History (3/4 Histories)

2018-09-20 22:27 Updated by: None
  • New Ticket "祭壇捧げメニューで食べ物や魔除けがフィルタされていない" created
2018-09-22 20:46 Updated by: argrath
  • Owner Update from (None) to argrath
  • Resolution Update from None to Accepted
Comment

確認しました。

2018-09-23 05:36 Updated by: argrath
  • Resolution Update from Accepted to Fixed
  • Milestone Update from (None) to 3.6.1-0.2 (closed)
Comment

e690823で修正しました。

floorfood()には英語名を渡すのが正しい動作でした。

2018-10-07 05:44 Updated by: argrath
  • Ticket Close date is changed to 2018-10-07 05:44
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login